Memos

Get Current User

GetCurrentUser returns the authenticated user, similar to OIDC's /userinfo endpoint. When the caller is not signed in or the account is no longer active, clears the refresh token cookie and returns UNAUTHENTICATED.

GET
/api/auth/me

Response Body

application/json

application/json

curl -X GET "https://example.com/api/auth/me"
{  "user": {    "name": "string",    "username": "string",    "displayName": "string",    "email": "string",    "avatarUrl": "string",    "description": "string",    "password": "string",    "role": "ROLE_UNSPECIFIED",    "state": "STATE_UNSPECIFIED",    "createTime": "2019-08-24T14:15:22Z",    "updateTime": "2019-08-24T14:15:22Z"  }}